package de.stefandraegersoftware.gui;

import de.stefandraegersoftware.gui.mvc.Controller;

/**
 * Klasse Main.
 * Stellt die Startmethode fr die Anwendung LEDFRame bereit.
 */
public final class Main {

    /**
     * Der Controller der Anwendung LEDFrame.
     */
    private static Controller controller;

    /**
     * Konstruktor.
     */
    private Main() {
    }

    /**
     * Startmethode der Anwendung LEDFrame.
     *
     * @param args ein String Array. (Diese Anwendung erwartet und verarbeitet keine Parameter.)
     */
    public static void main(final String[] args) {
        controller = new Controller();
        controller.showView();
    }
}
