package de.stefandraegersoftware.gui.mvc;

import javax.swing.*;

/**
 * Created by Stefan on 18.09.2015.
 */
public final class LEDFrameStatics {

    /**
     * Konstruktor.
     */
    private LEDFrameStatics() {
    }

    /**
     * Der Titel der Anwendung.
     */
    public static final String LEDFRAME_TITEL = "LEDFrame";

    /**
     * Die Beschriftung für die Schaltfläche Uebertragen.
     */
    public static final String UEBERTRAGEN_BTN = "Übertragen";

    /**
     * Die Beschriftung für die Schaltfläche Beenden.
     */
    public static final String BEENDEN_BTN = "Beenden";

    /**
     * Die Beschriftung für die Schaltfläche Test.
     */
    public static final String TEST_BTN = "Test";

    /**
     * Die Beschriftung für das {@link javax.swing.JPanel} 'Verbindungsparameter'.
     */
    public static final String VERBINDUNGSPARAMETER_TITEL = "Verbindungsparameter";

    /**
     * Beschriftung für die {@link javax.swing.JComboBox} 'Portname' im {@link javax.swing.JPanel} 'Verbindungsparameter'.
     */
    public static final String PORTNAME_LBL = "Portname";

    /**
     * Beschriftung für die {@link javax.swing.JComboBox} 'Baudrate' im {@link javax.swing.JPanel} 'Verbindungsparameter'.
     */
    public static final String BAUDRATE_LBL = "Baudrate";

    /**
     * Beschriftung für die {@link javax.swing.JComboBox} 'Datenbits' im {@link javax.swing.JPanel} 'Verbindungsparameter'.
     */
    public static final String DATENBITS_LBL = "Datenbits";

    /**
     * Beschriftung für die {@link javax.swing.JComboBox} 'Stopbits' im {@link javax.swing.JPanel} 'Verbindungsparameter'.
     */
    public static final String STOPBITS_LBL = "Stopbits";

    /**
     * Beschriftung für die {@link javax.swing.JComboBox} 'Parity' im {@link javax.swing.JPanel} 'Verbindungsparameter'.
     */
    public static final String PARITY_LBL = "Parity";

    /**
     * Die Beschriftung für das {@link javax.swing.JPanel} 'Farbe wählen'.
     */
    public static final String FARBE_WAEHLEN_TITEL = "Farbe wählen";

    /**
     * Die Beschriftung für das {@link javax.swing.JPanel} 'Zeit wählen'.
     */
    public static final String ZEIT_WAEHLEN_TITEL = "Zeit wählen";

    /**
     * Die Beschriftung für das {@link javax.swing.JLabel} 'Zeit in Millisekunden:'.
     */
    public static final String ZEIT_LBL = "Zeit in Millisekunden:";

    /**
     * Der Titel für das {@link javax.swing.JOptionPane} wenn ein Hinweis ausgegeben werden soll.
     */
    public static final String HINWEIS = "Hinweis";

    /**
     * Der Titel für das {@link javax.swing.JOptionPane} wenn eine Frage ausgegeben werden soll.
     */
    public static final String FRAGE = "Frage";

    /**
     * Die Nachricht für das {@link javax.swing.JOptionPane} wenn kein angeschlossenes Gerät gefunden wurde.
     */
    public static final String ES_WURDE_KEIN_ANGESCHLOSSENES_GERAET_GEFUNDEN = "Es wurde kein angeschlossenes Gerät gefunden.";

    /**
     * Die Nachricht für das {@link javax.swing.JOptionPane} wenn die Anwendung geschlossen werden soll.
     */
    public static final String WOLLEN_SIE_DIE_ANWENDUNG_WIRKLICH_BEENDEN = "Wollen Sie die Anwendung wirklich beenden?";
}
