package de.stefandraegersoftware;

import jssc.SerialPortException;
import junit.framework.TestCase;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;


public class SerialCommunicationTest extends TestCase {

    private SerialCommunication serialCommunication;

    private static final String COM_PORTNAME = "COM3";
    private static final int BAUDRATE = 9600;
    private static final int DATABITS = 8;
    private static final int STOPBITS = 1;
    private static final int PARITY = 0;

    private static final int SLEEP = 5000;

    @Before
    public void beforeTestcases() throws SerialPortException {
        this.serialCommunication = new SerialCommunication.SerialCommunicationBuilder(COM_PORTNAME).setSerialPortParameter(BAUDRATE, DATABITS, STOPBITS, PARITY).setSleepForClosePortEvent(SLEEP).build();
    }

    @After
    public void afterTestcases() {

    }

    @Test
    public void testSerialCommunicationBuilder() throws Exception {

    }

    @Test
    public void testOpenPort() throws Exception {

    }

    @Test
    public void testClosePort() throws Exception {

    }

    @Test
    public void testWriteString() throws Exception {

    }

    @Test
    public void testGetAvailablePortnameValues() throws Exception {
        assertTrue(SerialCommunication.getAvailablePortnameValues().size() > 0);
    }

    @Test
    public void testGetAvailableBaudrateValues() throws Exception {
        assertTrue(SerialCommunication.getAvailableBaudrateValues().size() > 0);
    }

    @Test
    public void testGetAvailableDatabitsValues() throws Exception {
        assertTrue(SerialCommunication.getAvailableDatabitsValues().size() > 0);
    }

    @Test
    public void testGetAvailableStopbitsValues() throws Exception {
        assertTrue(SerialCommunication.getAvailableStopbitsValues().size() > 0);
    }

    @Test
    public void testGetAvailableParityValues() throws Exception {
        assertTrue(SerialCommunication.getAvailableParityValues().size() > 0);
    }
}